﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.Web;

namespace ARQ.WebSyncfusionSample.Gantt
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            
            this.GanttControlDefault.DataSource = GanttDefaultData.GetData();
            this.GanttControlDefault.DataBind();
        }

        protected void Button2_Click(object sender, EventArgs e)
        {

        }

        protected void Button2_Init(object sender, EventArgs e)
        {

        }

        protected void Button2_Load(object sender, EventArgs e)
        {

        }
    }

    public class DefaultData
    {
        public string StartDate { get; set; }
        public int TaskID { get; set; }
        public string TaskName { get; set; }
        public string EndDate { get; set; }
        public int Duration { get; set; }
        public int Progress { get; set; }
        public List<DefaultData> SubTasks { get; set; }
        public string Predecessors { get; set; }        
        public string PartNumber { get; set; }
        public bool Dispatched { get; set; }
        public List<int> ResourceID { get; set; }

        public DefaultData()
        {
            PartNumber = "000125648-58241";
            Dispatched = false;
        }
    }



    public class GanttDefaultData
    {
        public static List<DefaultData> GetData()
        {
            List<DefaultData> tasks = new List<DefaultData>();
            tasks.Add(new DefaultData()
            {
                TaskID = 1,
                TaskName = "Design",
                StartDate = "02/01/2015 08:00:00",
                EndDate = "02/01/2015 08:00:00",
                Duration = 5       ,
                 PartNumber = "0009875648-59871"
            });

            tasks[0].SubTasks = new List<DefaultData>();



            tasks[0].SubTasks.Add(new DefaultData()

            {

                TaskID = 2,

                TaskName = "Software Specification",

                StartDate = "02/01/2015 08:00:00",

                EndDate = "02/01/2015 08:00:00",

                Duration = 3,

                Progress = 60,
                PartNumber = "0009875648-59871",

                ResourceID = new List<int>() { 2 }

            });

            tasks[0].SubTasks.Add(new DefaultData()

            {

                TaskID = 3,

                TaskName = "Develop prototype",

                StartDate = "03/01/2015 08:00:00",

                EndDate = "04/01/2015 08:00:00",

                Duration = 3,

                Progress = 100,

                ResourceID = new List<int>() { 3 }

            });

            tasks[0].SubTasks.Add(new DefaultData()

            {

                TaskID = 4,

                TaskName = "Get approval from customer",

                StartDate = "03/01/2015 10:00:00",

                EndDate = "04/01/2015 12:00:00",

                Duration = 2,

                Progress = 100,

                Predecessors = "3FS",
                PartNumber = "0006548798-89795",
                ResourceID = new List<int>() { 1 }

            });

            tasks[0].SubTasks.Add(new DefaultData()

            {

                TaskID = 5,

                TaskName = "Design complete",

                StartDate = "03/01/2015 03:00:00",

                EndDate = "06/01/2015 18:00:00",

                Duration = 0,

                Predecessors = "4FS",
                PartNumber = "0009875648-59871"

            });



            return tasks;

        }

    }
}